# cocoapods-whitelist

Validate Podspec's dependencies against a whitelist of pods.

## Installation

    $ gem install cocoapods-whitelist

## Usage

- As a command
```
$ pod whitelist [--podspec=PODSPEC] [--config=WHITELIST_FILE_OR_URL] [--outfile=PATH] [--fail-on-error]
```

- As plugin, add into the Podfile of your tests app
```
  plugin 'cocoapods-whitelist'
```

If not Podspec is passed by parameter, the command search into the current and parent directory.

You can specify a custom whitelist. By default use a whitelist hosted in [GitHub](https://github.com/mercadolibre/mobile-dependencies_whitelist/blob/master/ios-whitelist.json)

By default exit with status 0, unless you add the parameter `--fail-on-error`

## Development
### Install dependencies
```
bundle install
```

### Run test
```
rake
```

### Publish in RubyGems
1. Build
```
gem build cocoapods-whitelist.gemspec
```
2. Publish
```
gem push cocoapods-whitelist-{version}.gem
```