require File.expand_path('../spec_helper', __FILE__)

WHITELIST_PATH = './spec/mocks/whitelist.json'

describe WhitelistResolver do
    describe 'functionality' do
        it 'whitelist should be loaded from an specific url' do
            whitelist = WhitelistResolver.instance.get_whitelist(WHITELIST_PATH)
            whitelist.size.should.equal 6
        end
        
        it 'if not URL is specified, whitelist comes from default URL' do
            whitelist = WhitelistResolver.instance.get_whitelist
            whitelist.should.not.empty?
        end

        it 'whitelist should not be loaded twice' do
            WhitelistResolver.instance.get_whitelist(WHITELIST_PATH)
            loaded = WhitelistResolver.instance.whitelist_loaded

            loaded.should.be.true    
        end
    end
end
